Source: libverto
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Build-Depends: debhelper-compat (= 13), libev-dev, libglib2.0-dev
Build-Conflicts: libevent-dev, libtevent-dev
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/latchset/libverto/
Vcs-Git: https://salsa.debian.org/debian/libverto.git
Vcs-Browser: https://salsa.debian.org/debian/libverto

Package: libverto-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libverto1 (= ${binary:Version}), libverto-glib1 (= ${binary:Version}), libverto-libev1 (= ${binary:Version})
Multi-Arch: same
Description: Event loop abstraction for Libraries - Development
 Libverto exists to isolate libraries from the particular event loop
 chosen by an application. Libverto provides an asynchronous
 programming interface independent of any particular event loop and
 allows applications to attach this interface to whatever event loop
 they select.
 .
 This package includes development libraries.

Package: libverto1
Architecture: any
PRe-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libverto-libev1|libverto-glib1
Multi-Arch: same
Description: Event loop abstraction for Libraries - Runtime
 Libverto exists to isolate libraries from the particular event loop
 chosen by an application. Libverto provides an asynchronous
 programming interface independent of any particular event loop and
 allows applications to attach this interface to whatever event loop
 they select.
 .
 This package includes the main runtime library.

Package: libverto-libev1
Architecture: any
PRe-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Event loop abstraction for Libraries - libev
 Libverto exists to isolate libraries from the particular event loop
 chosen by an application. Libverto provides an asynchronous
 programming interface independent of any particular event loop and
 allows applications to attach this interface to whatever event loop
 they select.
 .
 This package includes support for the libev event loop.

Package: libverto-glib1
Architecture: any
PRe-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Event loop abstraction for Libraries - glib
 Libverto exists to isolate libraries from the particular event loop
 chosen by an application. Libverto provides an asynchronous
 programming interface independent of any particular event loop and
 allows applications to attach this interface to whatever event loop
 they select.
 This package includes support for the glib event loop.
